﻿using Syncfusion.Windows.Reports;
using Syncfusion.Windows.Reports.Viewer;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Integration;

namespace ReportViewerWF
{
    public partial class Form1 : Form
    {
        ReportViewer viewer = new ReportViewer();

        public Form1()
        {
            InitializeComponent();
            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ElementHost host = new ElementHost();
            host.Dock = DockStyle.Fill;

            //Processing mode
            viewer.ProcessingMode = ProcessingMode.Remote;
            viewer.ReportPath = @"../../ReportTemplate/AreaCharts.rdl";
            viewer.RefreshReport();
            host.Child = viewer;
            this.Controls.Add(host);
        }
    }
}
